@charset "UTF-8";





/* ステップナビゲーション */

#contact-navigation {
    padding-top: calc(var(--base-size) * 64);
    padding-bottom: calc(var(--base-size) * 70);
}

.contact-navigation__title {
    font-size: calc(var(--base-size) * 17);
    font-weight: 700;
    text-align: center;
}
.contact-navigation__notes {
    display: flex;
    flex-direction: column;
    gap: calc(var(--base-size) * 10);
    margin-top: calc(var(--base-size) * 15);
}
.contact-navigation__notes-item {
    font-size: calc(var(--base-size) * 12);
    text-align: center;
}
.contact-navigation__notes a {
    color: var(--color-primary);
    text-decoration: underline;
}

.contact-navigation__step {
    position: relative;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: calc(var(--base-size) * 25);
    width: calc(var(--base-size) * 296);
    margin: calc(var(--base-size) * 45) auto 0 auto;
}
.contact-navigation__step::after {
    content: '';
    position: absolute;
    bottom: calc(var(--base-size) * 9);
    left: 0;
    right: 0;
    margin: 0 auto;
    width: calc(var(--base-size) * 230);
    height: 1px;
    background-color: #000;
    z-index: 1;
}
.contact-navigation__step-item {
    position: relative;
    z-index: 2;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: calc(var(--base-size) * 10);
    padding-bottom: calc(var(--base-size) * 35);
}
.contact-navigation__step-item::before {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    margin: 0 auto;
    width: calc(var(--base-size) * 19);
    height: calc(var(--base-size) * 19);
    border-radius: 50%;
    background-color: #000;
}
.contact-navigation__step-item-label {
    width: 100%;
    padding: calc(var(--base-size) * 10) 0;
    border-top-left-radius: calc(var(--base-size) * 10);
    border-top-right-radius: calc(var(--base-size) * 10);
    background-color: #000;
    color: #fff;
    font-family: var(--font-family-en);
    font-size: calc(var(--base-size) * 13);
    font-weight: 700;
    text-align: center;
    letter-spacing: 0.05em;
}
.contact-navigation__step-item-description {
    font-size: calc(var(--base-size) * 13);
    text-align: center;
    flex-grow: 2;
    display: grid;
    place-items: center;
}

.contact-navigation__step-item.--current .contact-navigation__step-item-label {
    background-color: #FF575D;
}
.contact-navigation__step-item.--current::before {
    background-color: #FF575D;
}

.contact-form__item-input-error-list {
    margin-top: calc(var(--base-size) * 5);
}
.contact-form__item-input-error-item {
    font-size: calc(var(--base-size) * 15);
    color: #FF575D;
}

@media (min-width: 768px)
{
    #contact-navigation {
        padding-top: calc(var(--base-size) * 100);
        padding-bottom: calc(var(--base-size) * 140);
    }

    .contact-navigation__title {
        font-size: calc(var(--base-size) * 24);
    }
    .contact-navigation__notes {
        gap: calc(var(--base-size) * 5);
        margin-top: calc(var(--base-size) * 30);
    }
    .contact-navigation__notes-item {
        font-size: calc(var(--base-size) * 16);
    }

    .contact-navigation__step {
        gap: calc(var(--base-size) * 98);
        width: calc(var(--base-size) * 652);
        margin-top: calc(var(--base-size) * 80);
    }
    .contact-navigation__step::after {
        bottom: calc(var(--base-size) * 12);
        width: calc(var(--base-size) * 500);
    }
    .contact-navigation__step-item {
        gap: calc(var(--base-size) * 5);
        padding-bottom: calc(var(--base-size) * 64);
        width: calc(var(--base-size) * 152);
    }
    .contact-navigation__step-item::before {
        width: calc(var(--base-size) * 24);
        height: calc(var(--base-size) * 24);
    }
    .contact-navigation__step-item-label {
        padding: calc(var(--base-size) * 4) 1em;
        border-top-left-radius: calc(var(--base-size) * 10);
        border-top-right-radius: calc(var(--base-size) * 10);
        font-size: calc(var(--base-size) * 20);
        letter-spacing: 0.05em;
    }
    .contact-navigation__step-item-description {
        font-size: calc(var(--base-size) * 18);
    }
}





/* フォーム */

#contact-form {
    background-color: var(--color-accent);
    margin-bottom: calc(var(--base-size) * 150);
    padding-top: calc(var(--base-size) * 100);
    padding-bottom: calc(var(--base-size) * 100);
}

.contact-form__table {
    position: relative;
    z-index: 1;
    width: 100%;
    display: grid;
    grid-template-columns: 1fr;
    gap: calc(var(--base-size) * 20);
}

.contact-form__item {
    display: flex;
    flex-direction: column;
    align-items: stretch;
    gap: calc(var(--base-size) * 8);

    position: relative;
    z-index: 1;
    transform-style: preserve-3d;
    transform: translateZ(1px);
}

.contact-form__item-label {
    align-self: flex-start;
}
.contact-form__item-label label {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: calc(var(--base-size) * 15);
    min-height: calc(var(--base-size) * 27);
    font-size: calc(var(--base-size) * 17);
    letter-spacing: 0.025em;
    color: #fff;
    cursor: pointer;
}
.--required .contact-form__item-label label::after {
    content: '必須';
    display: grid;
    place-items: center;
    height: calc(var(--base-size) * 27);
    padding: 0 calc(var(--base-size) * 10);
    font-size: calc(var(--base-size) * 12);
    background-color: #FF575D;
    color: #fff;
}

.contact-form__item-input-group {
    display: flex;
    gap: calc(var(--base-size) * 10);
}
.contact-form__item-input-element {
    display: block;
    width: 100%;
    min-height: calc(var(--base-size) * 37);
    max-width: 100%;
    padding: calc(var(--base-size) * 5) calc(var(--base-size) * 10);
    background: #fff;
    font-size: calc(var(--base-size) * 18);
    letter-spacing: 0.025em;
    color: var(--base-font-color);
}

.contact-form__item-input-radio-container {
    gap: calc(var(--base-size) * 40);
    flex-wrap: wrap;
}
.contact-form__item-input-radio-element {
    display: none;
}
.contact-form__item-input-radio-label {
    position: relative;
    display: block;
    min-height: calc(var(--base-size) * 37);
    padding: calc(var(--base-size) * 5) 0 calc(var(--base-size) * 5) calc(var(--base-size) * 24);
    font-size: calc(var(--base-size) * 18);
    letter-spacing: 0.025em;
    color: #fff;
    cursor: pointer;
}
.contact-form__item-input-radio-label::before {
    content: '';
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    width: calc(var(--base-size) * 15);
    height: calc(var(--base-size) * 15);
    border-radius: 50%;
    margin: auto 0;
    background: #fff;
}
.contact-form__item-input-radio-element:checked + .contact-form__item-input-radio-label::before {
    background: var(--color-secondary);
}

.contact-form__item-input-note {
    font-size: calc(var(--base-size) * 12);
    color: #fff;
    margin-top: calc(var(--base-size) * 6);
}

.contact-form__item-input-element#comment {
    height: calc(var(--base-size) * 176);
}

.contact-form__radiogroup,
.contact-form__radiogroup-items {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    width: 100%;

    /*
    z-index: 99;
    transform-style: preserve-3d;
    transform: translateZ(1px);
    */
}
.contact-form__radiogroup-opener,
.contact-form__radiogroup-label {
    position: relative;
    display: block;
    min-height: calc(var(--base-size) * 37);
    padding: calc(var(--base-size) * 5) calc(var(--base-size) * 10);
    background: #fff;
    font-size: calc(var(--base-size) * 18);
    letter-spacing: 0.025em;
    color: var(--base-font-color);
    cursor: pointer;
}
.contact-form__radiogroup-opener {
    padding-right: calc(var(--base-size) * 32);
}
.contact-form__radiogroup-opener::after {
    content: '';
    display: block;
    height: calc(calc(var(--base-size) * 6) * tan(60deg));
    width: calc(var(--base-size) * 12);
    clip-path: polygon(0 0, 100% 0, 50% 100%);
    background-color: #FF575D;
    position: absolute;
    top: calc(var(--base-size) * 2);
    bottom: 0;
    right: calc(var(--base-size) * 12);
    margin: auto 0;
}
.contact-form__radiogroup {
    z-index: 2;
}
.contact-form__radiogroup-items {
    position: absolute;
    top: calc(var(--base-size) * 37);
    left: 0;
    height: 0;
    overflow: hidden;
    transition: height 0.3s ease-in-out;
    box-shadow: calc(var(--base-size) * 3) calc(var(--base-size) * 3) calc(var(--base-size) * 3) 0 rgba(0, 0, 0, 0.2);
}
.contact-form__radiogroup.--is-open .contact-form__radiogroup-opener {
    background-color: #A7A7A7;
    color: #fff;
}
.contact-form__radiogroup.--is-open .contact-form__radiogroup-opener::after {
    transform: rotate(180deg);
}
.contact-form__radiogroup.--is-open .contact-form__radiogroup-items {
    height: auto;
}
.contact-form__radiogroup-item {
    border-top: solid 1px #707070;
}
.contact-form__radiogroup-element {
    display: none;
}
.contact-form__radiogroup-element:checked + .contact-form__radiogroup-label {
    background-color: var(--color-secondary);
}

.contact-form__item-input-calendar-container {
    position: relative;
    gap: 0;
    z-index: 3;
}
.contact-form__item-input-calendar-element {
    width: 100%;
}
.contact-form__item-input-calendar-button {
    flex-shrink: 0;
    display: grid;
    place-items: center;
    background: #fff;
    padding: 0 calc(var(--base-size) * 12);
    cursor: pointer;
}
.contact-form__item-input-calendar-button-img {
    width: calc(var(--base-size) * 24);
    aspect-ratio: 1 / 1;
    object-fit: contain;
}

.contact-form__submit {
    display: flex;
    flex-direction: column;
    align-items: stretch;
    margin-top: calc(var(--base-size) * 80);
}
.contact-form__submit-notes {
    font-size: calc(var(--base-size) * 14);
    line-height: calc(var(--base-size) * 24);
    text-align: center;
    color: #fff;
    margin-bottom: calc(var(--base-size) * 60);
}
.contact-form__submit-buttons {
    display: flex;
    flex-direction: column;
    align-items: stretch;
    gap: calc(var(--base-size) * 20);
}
.contact-form__submit-button {
    display: grid;
    place-items: center;
    width: 100%;
    height: calc(var(--base-size) * 58);
    border-radius: 9999px;
    background: #fff;
    color: inherit;
    font-size: calc(var(--base-size) * 18);
    cursor: pointer;
}
.contact-form__submit-button.--confirm,
.contact-form__submit-button.--submit {
    background: var(--color-secondary);
}
.contact-form__submit-button.--back,
.contact-form__submit-button.--submit {
    margin-left: auto;
    margin-right: auto;
    width: calc(var(--base-size) * 220);
}
.contact-form__submit-button.--back {
    background: #fff;
}

.contact-form__notes {
    font-size: calc(var(--base-size) * 14);
    line-height: calc(var(--base-size) * 24);
    color: #fff;
    margin-top: calc(var(--base-size) * 60);
}
.contact-form__notes a {
    text-decoration: underline;
}

.contact-form__item-input-button {
    display: grid;
    place-items: center;
    min-width: calc(var(--base-size) * 92);
    height: calc(var(--base-size) * 37);
    background: var(--color-secondary);
    color: inherit;
    font-size: calc(var(--base-size) * 17);
    letter-spacing: 0.025em;
    cursor: pointer;
}
.contact-form__item-input-button:disabled {
    background: #A7A7A7;
    color: #fff;
    cursor: default;
    pointer-events: none;
}

.--js-dynamic-field:not(.--active) {
    display: none;
}

@media (min-width: 768px)
{
    #contact-form {
        margin-bottom: calc(var(--base-size) * 200);
        padding-top: calc(var(--base-size) * 150);
        padding-bottom: calc(var(--base-size) * 150);
    }

    .contact-form__table {
        width: calc(var(--base-size) * 720);
        margin: calc(var(--base-size) * -15) auto;
        display: table;
    }
    .contact-form__item {
        display: table-row;
    }

    .contact-form__item-label {
        display: table-cell;
        vertical-align: top;
        white-space: nowrap;
        width: 0;
        padding: calc(var(--base-size) * 15) 0;
    }
    .contact-form__item-label label {
        gap: calc(var(--base-size) * 10);
        min-height: calc(var(--base-size) * 41);
        font-size: calc(var(--base-size) * 19);
        letter-spacing: 0.025em;
    }
    .--required .contact-form__item-label label::after {
        height: calc(var(--base-size) * 37);
        padding: 0 calc(var(--base-size) * 10) calc(var(--base-size) * 2) calc(var(--base-size) * 10);
        font-size: calc(var(--base-size) * 17);
        line-height: calc(var(--base-size) * 25);
    }

    .contact-form__item-input {
        display: table-cell;
        vertical-align: top;
        padding: calc(var(--base-size) * 15) 0 calc(var(--base-size) * 15) calc(var(--base-size) * 24);
    }
    .contact-form__item-input-group {
        gap: calc(var(--base-size) * 10);
    }
    .contact-form__item-input-element {
        min-height: calc(var(--base-size) * 41);
        padding: calc(var(--base-size) * 7) calc(var(--base-size) * 14);
        font-size: calc(var(--base-size) * 18);
        letter-spacing: 0.025em;
    }

    .contact-form__item-input-radio-container {
        gap: calc(var(--base-size) * 40);
    }
    .contact-form__item-input-radio-label {
        min-height: calc(var(--base-size) * 41);
        padding: calc(var(--base-size) * 7) 0 calc(var(--base-size) * 7) calc(var(--base-size) * 22);
        font-size: calc(var(--base-size) * 18);
        letter-spacing: 0.025em;
    }
    .contact-form__item-input-radio-label::before {
        width: calc(var(--base-size) * 15);
        height: calc(var(--base-size) * 15);
    }

    .contact-form__item-input-note {
        font-size: calc(var(--base-size) * 15);
        margin-top: calc(var(--base-size) * 5);
    }

    .contact-form__item-input-element#first_name,
    .contact-form__item-input-element#last_name,
    .contact-form__item-input-element#first_name_kana,
    .contact-form__item-input-element#last_name_kana,
    .contact-form__item-input-element#postal_code {
        width: calc(var(--base-size) * 150);
    }
    .contact-form__item-input-element#corporate_name {
        width: calc(var(--base-size) * 310);
    }
    .contact-form__item-input-element#city,
    .contact-form__item-input-element#address,
    .contact-form__item-input-element#email,
    .contact-form__item-input-element#email_confirm,
    .contact-form__item-input-element#tel,
    .contact-form__item-input-element#comment {
        width: 100%;
    }
    
    .contact-form__item-input-element#comment {
        height: calc(var(--base-size) * 250);
    }

    .contact-form__radiogroup,
    .contact-form__radiogroup-items {
        width: calc(var(--base-size) * 340);
    }
    .contact-form__radiogroup-opener,
    .contact-form__radiogroup-label {
        min-height: calc(var(--base-size) * 41);
        padding: calc(var(--base-size) * 7) calc(var(--base-size) * 14);
        font-size: calc(var(--base-size) * 18);
        letter-spacing: 0.025em;
    }
    .contact-form__radiogroup-opener {
        padding-right: calc(var(--base-size) * 32);
    }
    .contact-form__radiogroup-opener::after {
        height: calc(calc(var(--base-size) * 6) * tan(60deg));
        width: calc(var(--base-size) * 12);
        clip-path: polygon(0 0, 100% 0, 50% 100%);
        top: calc(var(--base-size) * 2);
        bottom: 0;
        right: calc(var(--base-size) * 12);
    }
    .contact-form__radiogroup-items {
        top: calc(var(--base-size) * 41);
        transition: height 0.3s ease-in-out;
        box-shadow: calc(var(--base-size) * 3) calc(var(--base-size) * 3) calc(var(--base-size) * 3) 0 rgba(0, 0, 0, 0.2);
    }
    .contact-form__radiogroup-item {
        border-top-width: 1px;
    }

    .contact-form__item-input-calendar-container {
        gap: 0;
    }
    .contact-form__item-input-calendar-button {
        padding: 0 calc(var(--base-size) * 12);
    }
    .contact-form__item-input-calendar-button-img {
        width: calc(var(--base-size) * 24);
    }

    .contact-form__submit {
        align-items: center;
        margin-top: calc(var(--base-size) * 120);
    }
    .contact-form__submit-notes {
        font-size: calc(var(--base-size) * 16);
        line-height: 1.5;
        text-align: left;
        margin-bottom: calc(var(--base-size) * 120);
    }
    .contact-form__submit-buttons {
        flex-direction: row;
        align-items: center;
        gap: calc(var(--base-size) * 20);
        max-width: calc(var(--base-size) * 468);
    }
    .contact-form__submit-button {
        width: calc(var(--base-size) * 300);
        height: calc(var(--base-size) * 65);
        font-size: calc(var(--base-size) * 19);
    }
    .contact-form__submit-button.--back,
    .contact-form__submit-button.--submit {
        width: calc(var(--base-size) * 300);
    }

    .contact-form__notes {
        font-size: calc(var(--base-size) * 16);
        line-height: 1.5;
        text-align: center;
        margin-top: calc(var(--base-size) * 120);
    }

    .contact-form__item-input-button {
        min-width: calc(var(--base-size) * 92);
        height: calc(var(--base-size) * 41);
        font-size: calc(var(--base-size) * 17);
        letter-spacing: 0.025em;
    }
}

@media (hover: hover) {
    .contact-form__radiogroup-label {
        transition: background-color 0.1s linear, color 0.1s linear;
    }
    .contact-form__radiogroup-label:hover {
        background-color: var(--color-secondary);
    }
}





/* カレンダー */

.--js-calendar {
    position: absolute;
    top: calc(var(--base-size) * -4);
    right: calc(var(--base-size) * -4);
    z-index: 99;
    font-family: var(--font-family-en);
    background: #fff;
    color: #000;
    width: calc(100% + calc(var(--base-size) * 8));
    padding: calc(var(--base-size) * 12);
    border-radius: calc(var(--base-size) * 12);
    box-shadow: 0 0 calc(var(--base-size) * 6) 0 rgba(0, 0, 0, 0.4);
}
.--js-calendar:not(.--active) {
    display: none;
}

.--js-calendar-head {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: calc(var(--base-size) * 12);
}
.--js-calendar-current-date {
    display: flex;
    justify-content: center;
    align-items: center;
}
.--js-calendar-current-date-year {
    font-size: calc(var(--base-size) * 20);
    font-weight: 700;
}
.--js-calendar-current-date-month {
    font-size: calc(var(--base-size) * 20);
    font-weight: 700;
}
.--js-calendar-nav-button {
    position: relative;
    display: grid;
    place-items: center;
    width: calc(var(--base-size) * 24);
    height: calc(var(--base-size) * 24);
    line-height: 999;
    overflow: hidden;
    border-radius: 50%;
    background: #000;
    color: #fff;
    cursor: pointer;
}
.--js-calendar-nav-button::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
    width: calc(var(--base-size) * 8);
    height: calc(var(--base-size) * 8);
    border: solid 1px #fff;
    transform: rotate(45deg);
}
.--js-calendar-nav-button.--previous::before {
    border-width: 0 0 1px 1px;
    left: calc(var(--base-size) * 4);
}
.--js-calendar-nav-button.--next::before {
    border-width: 1px 1px 0 0;
    right: calc(var(--base-size) * 4);
}

.--js-calendar-table {
    width: 100%;
    border-collapse: collapse;
    margin-top: calc(var(--base-size) * 10);
}
.--js-calendar-table-td {
    width: calc(var(--base-size) * 52);
    border: solid 1px #999;
}
.--js-calendar-table-button {
    display: grid;
    place-items: center;
    width: 100%;
    height: 100%;
    padding: calc(var(--base-size) * 6) 0;
    font-size: calc(var(--base-size) * 16);
    letter-spacing: 0.025em;
    cursor: pointer;
}
.--js-calendar-table-td.--outside-month .--js-calendar-table-button,
.--js-calendar-table-button:disabled {
    background-color: #ccc;
    color: rgba(0, 0, 0, 0.3);
    pointer-events: none;
}
.--js-calendar-table-button.--selected {
    background-color: var(--color-primary);
    color: #fff;
    font-weight: 700;
}

@media (min-width: 768px)
{
    .--js-calendar {
        top: calc(var(--base-size) * -4);
        right: calc(var(--base-size) * -4);
        padding: calc(var(--base-size) * 12);
        border-radius: calc(var(--base-size) * 12);
        box-shadow: 0 0 calc(var(--base-size) * 6) 0 rgba(0, 0, 0, 0.4);
        width: auto;
    }

    .--js-calendar-head {
        gap: calc(var(--base-size) * 12);
    }
    .--js-calendar-current-date-year {
        font-size: calc(var(--base-size) * 20);
    }
    .--js-calendar-current-date-month {
        font-size: calc(var(--base-size) * 20);
    }
    .--js-calendar-nav-button {
        width: calc(var(--base-size) * 24);
        height: calc(var(--base-size) * 24);
    }
    .--js-calendar-nav-button::before {
        width: calc(var(--base-size) * 8);
        height: calc(var(--base-size) * 8);
        border-width: 1px;
    }
    .--js-calendar-nav-button.--previous::before {
        border-width: 0 0 1px 1px;
        left: calc(var(--base-size) * 4);
    }
    .--js-calendar-nav-button.--next::before {
        border-width: 1px 1px 0 0;
        right: calc(var(--base-size) * 4);
    }

    .--js-calendar-table {
        margin-top: calc(var(--base-size) * 10);
    }
    .--js-calendar-table-td {
        width: calc(var(--base-size) * 52);
        border-width: 1px;
    }
    .--js-calendar-table-button {
        padding: calc(var(--base-size) * 6) 0;
        font-size: calc(var(--base-size) * 16);
        letter-spacing: 0.025em;
    }
}

@media (hover: hover) {
    .--js-calendar-table-button {
        transition: background-color 0.1s linear, color 0.1s linear;
    }
    .--js-calendar-table-button:not(.--selected):hover {
        background-color: #eee;
    }
}





/* 確認画面 */

.contact-form__confirm-text {
    display: flex;
    align-items: center;
    min-height: calc(var(--base-size) * 37);
    padding: calc(var(--base-size) * 5) calc(var(--base-size) * 10) calc(var(--base-size) * 5) calc(var(--base-size) * 8);
    color: #fff;
    font-size: calc(var(--base-size) * 18);
    letter-spacing: 0.025em;
    text-align: left;
    word-break: break-all;
    word-wrap: break-word;
    overflow-wrap: break-word;
}

@media (min-width: 768px)
{
    .contact-form__confirm-text {
        display: flex;
        align-items: center;
        min-height: calc(var(--base-size) * 41);
        padding: calc(var(--base-size) * 7) calc(var(--base-size) * 14);
        color: #fff;
        font-size: calc(var(--base-size) * 18);
        letter-spacing: 0.025em;
        text-align: left;
        word-break: break-all;
        word-wrap: break-word;
        overflow-wrap: break-word;
    }
}





/* 送信完了 */

.contact-form__complete-mssage {
    display: flex;
    flex-direction: column;
    align-items: center;
    color: #fff;
    gap: calc(var(--base-size) * 40);
}
.contact-form__complete-mssage-title {
    font-size: calc(var(--base-size) * 17);
    font-weight: 700;
    letter-spacing: 0.025em;
    text-align: center;
}
.contact-form__complete-mssage-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    font-size: calc(var(--base-size) * 14);
    line-height: 1.75;
    gap: calc(1em * 1.75);
}
.contact-form__complete-mssage-content-item {
    text-align: center;
}

@media (min-width: 768px)
{
    .contact-form__complete-mssage {
        gap: calc(var(--base-size) * 50);
    }
    .contact-form__complete-mssage-title {
        font-size: calc(var(--base-size) * 30);
        letter-spacing: 0.025em;
    }
    .contact-form__complete-mssage-content {
        font-size: calc(var(--base-size) * 17);
        letter-spacing: 0.025em;
    }
}
